For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account Files

Files management

List all files

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

File ID

categoryinteger · integerRequired

ID of the category of the file

namestringRequired

File display name

filenamestringRequired

Name of the file

typestringRead-onlyRequired

File MIME type

sizeinteger · integerRead-onlyRequired

File size in bytes

uploadedAtinteger · integerRead-onlyRequired

UNIX timestamp of when the file was uploaded

get/v3/account/files
GET /v3/account/files HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "category": 1,
    "name": "text",
    "filename": "text",
    "type": "text",
    "size": 1,
    "uploadedAt": 1
  }
]

Download the file

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fileIdintegerRequired

ID of the file to download

Responses
200

fileContent

application/json
stringOptional
get/v3/account/files/{fileId}/download
GET /v3/account/files/{fileId}/download HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
text

Last updated

Was this helpful?